// PDF PRINT function js

var PP = {};

PP.init = function() {
    console.log("PP.init");
    PP.loadCommon();
    
    PP.initPdfList();
};

PP.loadCommon = function() {
    $("#includedHeader").load("../html/common/header.html" , function() {
        I18N.initi18n();
        HEADER.init();
    }); 
    $("#includedConfirmModal").load("../html/common/confirmModal.html", function() {
        I18N.initi18n();
    }); 
}

PP.initPdfList = function() {
    if (sessionStorage.OL_operationId) {
        let params = {};
        params.sid = COMMON.getSid();
        params.operationId = sessionStorage.OL_operationId;
        params.returnUrl = CONSTANT.URL.WEB.BASE + CONSTANT.URL.WEB.OPERATION_LIST;
        let url = COMMON.format(ClientData.conf_checkApiUrl(), ClientData.userInfo_accountPath()) + CONSTANT.URL.CMS.HTML.BASE + CONSTANT.URL.CMS.HTML.QUICK_REPORT_PRINT;
        $("#pdfPrint").load(url, params);
    } else {
        COMMON.displayAlert("error");
        COMMON.avwScreenMove("reportList.html");
    }
}